org.apache.solr.util

## Class RandomMergePolicy

- java.lang.Object
- - org.apache.lucene.index.MergePolicy
  - - org.apache.lucene.index.MergePolicyWrapper
    - - org.apache.solr.util.RandomMergePolicy

- Direct Known Subclasses:
    RandomForceMergePolicy

      public class RandomMergePolicy
      extends org.apache.lucene.index.MergePolicyWrapper

  A `MergePolicy` with a no-arg constructor that proxies to an instance retrieved from `LuceneTestCase.newMergePolicy(java.util.Random)`. Solr tests utilizing the Lucene randomized test framework can refer to this class in solrconfig.xml to get a fully randomized merge policy.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.MergePolicy

      `org.apache.lucene.index.MergePolicy.MergeAbortedException, org.apache.lucene.index.MergePolicy.MergeException, org.apache.lucene.index.MergePolicy.MergeSpecification, org.apache.lucene.index.MergePolicy.OneMerge`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.MergePolicyWrapper

      `in`

    - ### Fields inherited from class org.apache.lucene.index.MergePolicy

      `DEFAULT_MAX_CFS_SEGMENT_SIZE, DEFAULT_NO_CFS_RATIO, maxCFSSegmentSize, noCFSRatio`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RandomMergePolicy()`
    `protected` | `RandomMergePolicy(org.apache.lucene.index.MergePolicy inner)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.index.MergePolicyWrapper

      `findForcedDeletesMerges, findForcedMerges, findMerges, getNoCFSRatio, setMaxCFSSegmentSizeMB, setNoCFSRatio, size, toString, useCompoundFile`

    - ### Methods inherited from class org.apache.lucene.index.MergePolicy

      `getMaxCFSSegmentSizeMB, isMerged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomMergePolicy

          public RandomMergePolicy()

    - #### RandomMergePolicy

          protected RandomMergePolicy(org.apache.lucene.index.MergePolicy inner)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.